// 库存查询列表参数
export interface listQueryType {
  cargoOwner: string; // 货主代码/货主名称
  locationCode: string; // 库位代码
  pageNum: number; // 第几页
  pageSize: number; // 一页多少条数据
  total: number;
  stockAccuracyInquiry: string; // 库存精度查询：1（货主）、2（库位）
}

// 库存查询列表跳转批次列表参数
export interface routerBatchListQueryType {
  stockAccuracyInquiry: string;
  cargoOwnerId?: string;
  locationId?: string;
}

// 库存查询批次列表参数
export interface detailsQueryType {
  cargoOwnerId: string; // 货主id
  content: string; // 批次号/商品代码/商品名称
  locationId: string; // 库位id
  pageNum: number; // 第几页
  pageSize: number; // 一页多少条数据
  total: number;
  stockAccuracyInquiry: string; // 库存精度查询：1（货主）、2（库位）
  warehouseId: string;
}

// 库存查询批次详情参数
export interface batchQueryType {
  cargoOwnerId: string; // 货主id
  batchCode: string; // 批次号
  locationId: string; // 库位id
  goodsCode: string; // 商品代码
  stockAccuracyInquiry: string; // 库存精度查询：1（货主）、2（库位）
  warehouseId: string;
}

// 库存查询批次基本批次属性
export interface basicInfoType {
  label: string;
  dataIndex: string;
}
